<?php
/*
 * Plugin Name: tigaman webdesign - responsive Youtube embed
 * Plugin URI: https://www.tigaman.com/
 * Description: The problem: the wordpress built-in Youtube embedder does not produce responsive code. If you enable this plugin, the problem is solved.
 * Version: 1.1
 * Author: tigaman webdesign
 * Author URI: https://www.tigaman.com
 * Author URI: https://www.tigaman.hu
 */
?>
<?php add_filter('the_content', function($content) {
	return str_replace(array("<iframe", "</iframe>"), array('<div class="twd-youtube-container"><iframe', "</iframe></div>"), $content);});;?>
<?php
// CSS file
add_action('wp_enqueue_scripts', 'twd_rye_plugin_styles');
  function twd_rye_plugin_styles() {
    wp_register_style('twd_rye', plugins_url('/twd-reponsive-youtube-embed.css',__FILE__));
    wp_enqueue_style('twd_rye');
  }
?>